/*
 *  Copyright (C) 2002  Alex Krist - KR1ST
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Please make sure that before using this software that you are authorized
 *  by the appropriate authorities in your country to use this software.
 *
 */

#ifndef __MAIN_H__
#define __MAIN_H__

/*
 * It is not really necessary to declare everything external.
 */

/* Main module handle. */
extern struct module_t main_module;

/* Boolean to determine program exit. */
extern bool exit_power;

/* Form for the main screen. */
extern Jed *main_form;
extern Jed_item *main_txt1;
extern Jed_item *main_txt2;
extern Jed_item *main_txt3;
extern Jed_item *main_txt4;
extern Jed_item *main_power;
extern Jed_item *main_exit;
extern Jed_item *main_ji;

/* Prototypes */
extern Jed_rc jed_process_message(Jed *, struct Message *);

#endif